/*
  Mobile Alphabet
  (C) Igor Markov, 2005
  This code is GPL
*/

package alfabet;

import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import com.nokia.mid.ui.DeviceControl.*;

public class AbcMIDlet extends MIDlet {
	    
  public AbcMIDlet() {
  }

  Letters screen = null;

  public void startApp() {
      if (screen == null) {    
        screen = new Letters();    
        Display display = Display.getDisplay(this);
        display.setCurrent(screen);

        
	try 
       {
	    com.nokia.mid.ui.DeviceControl.setLights(0,10);
	} 
        catch (java.lang.Error e) 
        {
	    /* Not Nokia */
	}

	Thread th = new Thread(screen);
	th.run();
      } else synchronized (screen) {
        screen.paused  = false;
	screen.notifyAll();
      }
    }


  public void pauseApp() { 
      synchronized (screen) {
        screen.paused = true;
	screen.olddelay = 3000;
	screen.notifyAll();
      }
      
  }

  public void destroyApp(boolean unconditional) {
    synchronized (screen) {
	screen.exit = true;
	screen.notifyAll();
    }
  }

}
